kind: Node
apiVersion: v1
metadata:
  name: ip-10-0-177-127.ec2.internal
  uid: 506b8081-fd89-4301-98eb-72858a82538a
  resourceVersion: '132665'
  creationTimestamp: '2022-03-09T02:39:48Z'
  labels:
    beta.kubernetes.io/os: windows
    failure-domain.beta.kubernetes.io/zone: us-east-1d
    node.kubernetes.io/instance-type: m5a.large
    kubernetes.io/os: windows
    topology.kubernetes.io/zone: us-east-1d
    node-role.kubernetes.io/worker: ''
    failure-domain.beta.kubernetes.io/region: us-east-1
    node.openshift.io/os_id: Windows
    beta.kubernetes.io/instance-type: m5a.large
    kubernetes.io/hostname: ip-10-0-177-127.ec2.internal
    topology.kubernetes.io/region: us-east-1
    beta.kubernetes.io/arch: amd64
    kubernetes.io/arch: amd64
    node.kubernetes.io/windows-build: 10.0.17763
  annotations:
    cloud.network.openshift.io/egress-ipconfig: >-
      [{"interface":"eni-0713103ad7ad74433","ifaddr":{"ipv4":"10.0.176.0/20"},"capacity":{"ipv4":9,"ipv6":10}}]
    k8s.ovn.org/hybrid-overlay-distributed-router-gateway-mac: 00-15-5D-93-3C-6E
    k8s.ovn.org/hybrid-overlay-node-subnet: 10.132.2.0/24
    machine.openshift.io/machine: openshift-machine-api/e2e-wm-m5xtp
    volumes.kubernetes.io/controller-managed-attach-detach: 'true'
    windowsmachineconfig.openshift.io/pub-key-hash: 7c00ba8122aa764a192fe7d2d9ac4d3627b9c443c09480b18c055c2e178a6019
    windowsmachineconfig.openshift.io/version: 5.0.0+ba980d6
  managedFields:
    - manager: ip-10-0-157-33
      operation: Update
      apiVersion: v1
      time: '2022-03-09T02:39:48Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/hybrid-overlay-node-subnet': {}
    - manager: nodelink-controller
      operation: Update
      apiVersion: v1
      time: '2022-03-09T02:39:48Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:machine.openshift.io/machine': {}
          'f:labels':
            'f:node-role.kubernetes.io/worker': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2022-03-09T02:39:50Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:taints': {}
    - manager: EC2AMAZ-H2O99AJ
      operation: Update
      apiVersion: v1
      time: '2022-03-09T02:40:31Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/hybrid-overlay-distributed-router-gateway-mac': {}
    - manager: Go-http-client
      operation: Update
      apiVersion: v1
      time: '2022-03-09T02:43:42Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:cloud.network.openshift.io/egress-ipconfig': {}
            'f:volumes.kubernetes.io/controller-managed-attach-detach': {}
            'f:windowsmachineconfig.openshift.io/pub-key-hash': {}
            'f:windowsmachineconfig.openshift.io/version': {}
          'f:labels':
            'f:failure-domain.beta.kubernetes.io/region': {}
            'f:topology.kubernetes.io/region': {}
            'f:beta.kubernetes.io/arch': {}
            'f:beta.kubernetes.io/instance-type': {}
            'f:kubernetes.io/hostname': {}
            'f:kubernetes.io/arch': {}
            'f:node.kubernetes.io/windows-build': {}
            .: {}
            'f:beta.kubernetes.io/os': {}
            'f:failure-domain.beta.kubernetes.io/zone': {}
            'f:topology.kubernetes.io/zone': {}
            'f:node.kubernetes.io/instance-type': {}
            'f:kubernetes.io/os': {}
            'f:node.openshift.io/os_id': {}
        'f:spec':
          'f:providerID': {}
    - manager: Go-http-client
      operation: Update
      apiVersion: v1
      time: '2022-03-09T03:02:55Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:allocatable':
            'f:ephemeral-storage': {}
          'f:capacity':
            'f:ephemeral-storage': {}
          'f:conditions':
            'k:{"type":"DiskPressure"}':
              'f:lastHeartbeatTime': {}
            'k:{"type":"MemoryPressure"}':
              'f:lastHeartbeatTime': {}
            'k:{"type":"PIDPressure"}':
              'f:lastHeartbeatTime': {}
            'k:{"type":"Ready"}':
              'f:lastHeartbeatTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
          'f:images': {}
      subresource: status
spec:
  providerID: 'aws:///us-east-1d/i-05957353050632bdc'
  taints:
    - key: os
      value: Windows
      effect: NoSchedule
status:
  capacity:
    attachable-volumes-aws-ebs: '25'
    cpu: '2'
    ephemeral-storage: 31455228Ki
    memory: 8125980Ki
    pods: '250'
  allocatable:
    attachable-volumes-aws-ebs: '25'
    cpu: 1500m
    ephemeral-storage: '27915396253'
    memory: 6975004Ki
    pods: '250'
  conditions:
    - type: MemoryPressure
      status: 'False'
      lastHeartbeatTime: '2022-03-09T03:14:09Z'
      lastTransitionTime: '2022-03-09T02:39:48Z'
      reason: KubeletHasSufficientMemory
      message: kubelet has sufficient memory available
    - type: DiskPressure
      status: 'False'
      lastHeartbeatTime: '2022-03-09T03:14:09Z'
      lastTransitionTime: '2022-03-09T02:39:48Z'
      reason: KubeletHasNoDiskPressure
      message: kubelet has no disk pressure
    - type: PIDPressure
      status: 'False'
      lastHeartbeatTime: '2022-03-09T03:14:09Z'
      lastTransitionTime: '2022-03-09T02:39:48Z'
      reason: KubeletHasSufficientPID
      message: kubelet has sufficient PID available
    - type: Ready
      status: 'True'
      lastHeartbeatTime: '2022-03-09T03:14:09Z'
      lastTransitionTime: '2022-03-09T02:39:58Z'
      reason: KubeletReady
      message: kubelet is posting ready status
  addresses:
    - type: InternalIP
      address: 10.0.177.127
    - type: Hostname
      address: ip-10-0-177-127.ec2.internal
    - type: InternalDNS
      address: ip-10-0-177-127.ec2.internal
  daemonEndpoints:
    kubeletEndpoint:
      Port: 10250
  nodeInfo:
    containerRuntimeVersion: 'docker://20.10.7'
    machineID: EC2AMAZ-H2O99AJ
    kubeletVersion: v1.23.3-1993+f14faf24a93222
    systemUUID: EC220807-31D3-63F1-96C3-C8B6AB37505A
    bootID: ''
    operatingSystem: windows
    architecture: amd64
    osImage: Windows Server 2019 Datacenter
    kubeProxyVersion: v1.23.3-1993+f14faf24a93222
    kernelVersion: 10.0.17763.2565
  images:
    - names:
        - >-
          mcr.microsoft.com/powershell@sha256:171101fe43999c0066d1e5376310dc501965946be7fb9843482855699dfa9a72
        - 'mcr.microsoft.com/powershell:lts-nanoserver-1809'
      sizeBytes: 528609168
    - names:
        - >-
          mcr.microsoft.com/oss/kubernetes/pause@sha256:b4b669f27933146227c9180398f99d8b3100637e4a0a1ccf804f8b12f4b9b8df
        - 'mcr.microsoft.com/oss/kubernetes/pause:3.6'
      sizeBytes: 259590885
